//*************************************************************
//  File name: MODVIEW.H
//
//  Description:
//     Declares the interface for the CModView class
//
//  History:    Date       Author     Comment
//              3/7/94     FJB        Created
//
// Written by Microsoft Product Support Services, Windows Developer Support
// Copyright (c) 1994 Microsoft Corporation. All rights reserved.
//*************************************************************

//*************************************************************
//  Class:
//      CModView 
//
//  Description:
//      AppWizard generated view class that exposes a public OnDraw override.
//
//  Derived from:
//      CView
//
//  Data Members:
//      None
//
//  Member Functions:
//      CModView      : Constructor
//     ~CModView      : Destructor
//      OnDraw        : Does nothing
//
//
//  History:    Date       Author     Comment
//              3/7/94     FJB        Created
//
//*************************************************************  


class CModView : public CView
{
   DECLARE_DYNCREATE(CModView)
protected:
   CModView();       // protected constructor used by dynamic creation

// Attributes
public:

// Operations
public:
  virtual  void OnDraw(CDC* pDC);     // make it public so the frame can get 
                                      // to it

// Implementation
protected:
   virtual ~CModView();

   // Generated message map functions
protected:
   //{{AFX_MSG(CModView)
      // NOTE - the ClassWizard will add and remove member functions here.
   //}}AFX_MSG
   DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////
